Secure Share - Share Links API Reference
Base URL
share.<csp>.<region>.pangea.cloudcurl -sSLX POST 'https://share.aws.us.pangea.cloud/v1/buckets' \
-H 'Authorization: Bearer <your_token>' \
-H 'Content-Type: application/json'Response
List buckets
Get information on the accessible buckets.
curl -sSLX POST 'https://share.aws.us.pangea.cloud/v1/delete' \
-H 'Authorization: Bearer <your_token>' \
-H 'Content-Type: application/json' \
-d '{}'Response
Delete object
Delete an item from the Secure Share by providing its id. The force parameter can be used to delete folders and their contents even if the folder is not empty.
curl -sSLX POST 'https://share.aws.us.pangea.cloud/v1/folder/create' \
-H 'Authorization: Bearer <your_token>' \
-H 'Content-Type: application/json' \
-d '{}'Response
Create folder
Create a Secure Share folder.
curl -sSLX POST 'https://share.aws.us.pangea.cloud/v1/get' \
-H 'Authorization: Bearer <your_token>' \
-H 'Content-Type: application/json' \
-d '{}'Response
Get or download object
Get metadata or download a file with from Secure Share by id.
See Transfer Methods for information on transfer_method.
curl -sSLX POST 'https://share.aws.us.pangea.cloud/v1/get_archive' \
-H 'Authorization: Bearer <your_token>' \
-H 'Content-Type: application/json' \
-d '{}'Response
Get archive of objects
Download an archive (tar or zip) containing the items identified by the ids in the ids array parameter.
See Transfer Methods for information on transfer_method.
curl -sSLX POST 'https://share.aws.us.pangea.cloud/v1/list' \
-H 'Authorization: Bearer <your_token>' \
-H 'Content-Type: application/json' \
-d '{}'Response
List objects
List files matching the given filter parameter.
Use the order parameter to specify “asc” for ascending, or “desc” for descending order of the results.
Use the order_by parameter to specify which field the order parameter refers to.
Use the size parameter to indicate the maximum number of results to include per call (for pagination of the results).
When paginating results, use the value of result.last from the response to the previous call as the value for the input parameter last.
result.count from the response gives the total number of items matching the filter.
curl -sSLX POST 'https://share.aws.us.pangea.cloud/v1/put' \
-H 'Authorization: Bearer <your_token>' \
-H 'Content-Type: multipart/form-data'Response
Upload object
Upload a file to Secure Share.
See Transfer Methods for information on transfer_method.
curl -sSLX POST 'https://share.aws.us.pangea.cloud/v1/update' \
-H 'Authorization: Bearer <your_token>' \
-H 'Content-Type: application/json' \
-d '{}'Response
Update object details
Update information, such as tags or metadata, about an object by id.
Status Codes
Was this article helpful?